> ## Documentation Index
> Fetch the complete documentation index at: https://docs.m1amdocs.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Health Check API Response

Implementing the [health check](.) from MarketONE involves [adding a health check endpoint](.) in Partner Ecosystem Management. This page describes the structure of the API response MarketONE expects from the Merchant after MarketONE calls the health check endpoint. The Merchant is expected to return the status for each service.

MarketONE polls the Health Check API (`GET /v1/health`) in pre-defined intervals. The health check allows the MarketONE Operations team to monitor the health of your integration and troubleshoot any incidents if they arise.

* **[GET /v1/health](partnerHealthCheck#get-/v1/health)**

## GET /v1/health

Returns the health status.

There are no request parameters.

* **[Response](partnerHealthCheck#response)**

**Parent topic:**[Health Check API Response](partnerHealthCheck)

### Response

A successful response returns a `HealthResponse` object. In the `HealthResponse` object, there is a `services` object containing the following object:

* HealthItem

#### HealthItem Fields

| Field Name | Format | Required or Optional | Description |
| - | - | - | - |
| id | string | Required | The ID of the health response item. Example: `2b13dac5-cb07-4282-b596-0f427dcfdc52 UUID`. |
| name | string | Required | The service name. |
| status | string | Required | The service status.Valid values are: - `Operational` - `Degradation` - `PartialOutage` - `FullOutage` - `Maintenance` |
| lastUpdated | string (yyyy-mm-ddThh:mm:ssZ) | Required | The date and time the service status was updated. |
| components | object | Optional | See the **ServiceComponent** section for more information about what the object contains. |

#### ServiceComponent Fields

| Field Name | Format | Required or Optional | Description |
| - | - | - | - |
| id | string | Required | The ID of the service component. |
| name | string | Required | The service component name. |
| status | string | Required | The service status of the component.Valid values are: - `Operational` - `Degradation` - `PartialOutage` - `FullOutage` - `Maintenance` |
| lastUpdated | string (yyyy-mm-ddThh:mm:ssZ) | Required | The date and time the service component status was updated. |

#### Example

Expected results from the Merchant (either example):

**Merchant returns statuses for each individual sub-service**

```
200 OK {
    "services":
    [
        {
            "id": "1",
            "name": "Add Subscription Callback",
            "status": "Operational",
            "lastUpdated": "2021-11-01T02:33:20"
        },
        {
            "id": "2",
            "name": "Update Subscription Callback",
            "status": "Operational",
            "lastUpdated": "2021-11-01T02:33:20"
        },
        {
            "id": "3",
            "name": "Delete Subscription Callback",
            "status": "Operational",
            "lastUpdated": "2021-11-01T02:33:20"
        }
    ]
}
  
//other valid statuses:  FullOutage, Maintenance in the case of 500 Error
```

**Merchant returns one overall status**

```
200 OK {
    "services":
    [
        {
            "id": "1",
            "name": "M1 callback events",
            "status": "Operational",
            "lastUpdated": "2021-11-01T02:33:20"
        }
    ]
}
  
//other valid statuses:  FullOutage, Maintenance in the case of 500 Error
```

#### Code

**200:** OK

**Parent topic:**[GET /v1/health](partnerHealthCheck#get-/v1/health)


This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.